5.2.0-git
04/24/2014

[#11712] "Previously used tags" stays empty
Summary "Previously used tags" stays empty
Queue Trean
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 11/15/2012 (525 days ago)
Due
Updated 07/08/2013 (290 days ago)
Assigned 11/15/2012 (525 days ago)
Resolved 07/08/2013 (290 days ago)
Milestone
Patch No

History
07/08/2013 12:45:33 AM Michael Rubinsky Comment #9
State ⇒ Resolved
Version ⇒ Git master
Reply to this comment
Implemented, but only populated on demand to make both points of view happy :)
07/08/2013 12:40:59 AM Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit ae725a1d0ae425ecaa5fa47e6f988132f2f7ff06
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sun Jul 7 20:39:32 2013 -0400

     Request: 11712 Populate previously used tags, but only on demand.

  trean/edit.php                   |    5 +++
  trean/js/toptags.js              |   24 +++++++++++++++
  trean/lib/Ajax/Imple/TopTags.php |   58 
++++++++++++++++++++++++++++++++++++++
  trean/package.xml                |   16 +++++++---
  trean/templates/edit.html.php    |    7 +++-
  trean/themes/default/screen.css  |    5 +++
  6 files changed, 108 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/ae725a1d0ae425ecaa5fa47e6f988132f2f7ff06
12/21/2012 07:05:57 PM Michael Rubinsky Comment #7 Reply to this comment
I could imagine this is used a lot by people who don't use tags 
excessively, but only a short number of default tags for everything. 
Having this every-day list of tags quick at hand without having to 
start typing is a nice shortcut.
+1
12/21/2012 10:20:27 AM Jan Schneider Comment #6 Reply to this comment
I could imagine this is used a lot by people who don't use tags 
excessively, but only a short number of default tags for everything. 
Having this every-day list of tags quick at hand without having to 
start typing is a nice shortcut.
12/21/2012 03:20:09 AM Chuck Hagenbuch Comment #5 Reply to this comment
I'd vote for actually hiding this functionality by default 
(everywhere, not just trean), or removing it entirely, fwiw. I use the 
tag autocompleter a ton, but I don't really want additional space 
taken up by/info to process put in front of me, a set of additional 
tags that have been used recently.
11/15/2012 02:24:21 PM Jan Schneider Comment #4 Reply to this comment
Oh, when "editing", not "browsing" bookmarks. :)
11/15/2012 02:18:24 PM Michael Rubinsky Comment #3
State ⇒ Assigned
Reply to this comment
I still need to implement that part in Trean.

Not sure how it's working for Jan, but I don't think the code to 
populate that section is even there yet...
11/15/2012 09:21:50 AM Jan Schneider Comment #2
State ⇒ Feedback
Assigned to Michael Rubinsky
Reply to this comment
Works fine here, though I think there is some certain threshold before 
those tags show up. Michael?
11/15/2012 08:30:38 AM Thomas Jarosch Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ Trean
Summary ⇒ "Previously used tags" stays empty
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
Hi,

when editing a bookmark, the "previously used tags:" list is/stays empty.
I have some bookmarks with tags, so it should show -something-.

Thomas